package telegram

import (
	"fmt"
	"log"

	tg "github.com/go-telegram-bot-api/telegram-bot-api/v5"
)

const (
	telegramToken  = "7215466800:AAGwjZnXEfbbjQiA0y7qtSzbSZNUWQJnyjo"
	telegramChatID = 622943829
)

type LogEntry struct {
	AuditData struct {
		Messages []string `json:"messages"`
	} `json:"audit_data"`
}

func TelegramBotInit() (*tg.BotAPI, error) {
	bot, err := tg.NewBotAPI(telegramToken)
	if err != nil {
		log.Fatal("Failed to create Telegram bot:", err)
	}

	log.Println("Telegram bot connected")

	// send init message on startup
	testMsg := tg.NewMessage(telegramChatID, "I'm in")
	_, err = bot.Send(testMsg)
	if err != nil {
		log.Fatal("Failed to send test message:", err)
	}

	return bot, nil
}

func SendTelegramAlert(bot *tg.BotAPI, message string) {
	msg := tg.NewMessage(telegramChatID, fmt.Sprintf("🚨 *WEEWOO ALERT* 🚨\n%s", message))
	_, err := bot.Send(msg)
	if err != nil {
		log.Println("Failed to send Telegram message:", err)
	}
}
